# chutney

A Raspberry Pi project for displaying the time, temperature and garage door status. A Unicorn Hat HD is used for a simple display.

## Dependencies
```
sudo raspi-config nonint do_spi 0
sudo apt install python3-pip python3-dev python3-spidev
sudo pip3 install unicornhathd
```

## Configuration
```
cp chutney.sample.cfg chutney.cfg
```

## Installation
```
sudo ./install
```

## Output
By default output will be in `/var/log/syslog`.
A separate log file can be used by creating `/etc/rsyslog.d/30-chutney.conf` containing:
```
if $programname == 'chutney' then /var/log/chutney.log
& stop
```
and then restart the rsyslog service:
```
sudo systemctl restart rsyslog
```
This log file can be rotated by creating `/etc/logrotate.d/chutney` containing:
```
/var/log/chutney.log
{
        rotate 14
        daily
        create
        missingok
        notifempty
        compress
        delaycompress
        postrotate
                /usr/lib/rsyslog/rsyslog-rotate
        endscript
}

```
